from collections import namedtuple
import pytest

from toarstats.metrics.stats_utils import create_reference_series


@pytest.fixture(scope="session")
def ref_data(data):
    return create_reference_series(data.index)


@pytest.fixture(scope="session")
def metadata():
    Metadata = namedtuple(
        "Metadata", ["station_lat", "station_lon", "station_climatic_zone"]
    )
    return Metadata(50.906389, 6.403889, "cool temperate moist")
